org.apache.commons.lang3

## Class ThreadUtils.NamePredicate

- java.lang.Object
- - org.apache.commons.lang3.ThreadUtils.NamePredicate

- All Implemented Interfaces:
    ThreadUtils.ThreadGroupPredicate, ThreadUtils.ThreadPredicate
  Enclosing class:
    ThreadUtils

      public static class ThreadUtils.NamePredicate
      extends Object
      implements ThreadUtils.ThreadPredicate, ThreadUtils.ThreadGroupPredicate

  A predicate implementation which matches a thread or threadgroup name.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamePredicate(String name)` Predicate constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `test(Thread thread)` Evaluates this predicate on the given thread.
    `boolean` | `test(ThreadGroup threadGroup)` Evaluates this predicate on the given threadgroup.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamePredicate

          public NamePredicate(String name)

      Predicate constructor
      Parameters:
        `name` - thread or threadgroup name
      Throws:
        `IllegalArgumentException` - if the name is `null`

  - ### Method Detail

    - #### test

          public boolean test(ThreadGroup threadGroup)

      Description copied from interface: `ThreadUtils.ThreadGroupPredicate`
      Evaluates this predicate on the given threadgroup.
      Specified by:
        `test` in interface `ThreadUtils.ThreadGroupPredicate`
      Parameters:
        `threadGroup` - the threadgroup
      Returns:
        `true` if the threadGroup matches the predicate, otherwise `false`

    - #### test

          public boolean test(Thread thread)

      Description copied from interface: `ThreadUtils.ThreadPredicate`
      Evaluates this predicate on the given thread.
      Specified by:
        `test` in interface `ThreadUtils.ThreadPredicate`
      Parameters:
        `thread` - the thread
      Returns:
        `true` if the thread matches the predicate, otherwise `false`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.